Bug 166226 - [patch] [exp-run] Mk/bsd.python.mk: Fix python -c commands for python 3+
Summary: [patch] [exp-run] Mk/bsd.python.mk: Fix python -c commands for python 3+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-18 16:10 UTC by Rachel Flynn
Modified: 2012-05-25 18:20 UTC (History)
1 user (show)

See Also:


Attachments
fix-python-3.x.patch (2.13 KB, patch)
2012-03-18 16:10 UTC, Rachel Flynn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rachel Flynn 2012-03-18 16:10:11 UTC
Incompatibilities with python 3.x cause several commands in bsd.python.mk
to fail.
The net result is that when python 3.1+ is installed, any port setting
USE_PYTHON will pull in the default python version and several variables
that should be available to dependent ports are not.

How-To-Repeat: Install lang/python31 (uninstall lang/python27 if installed).
make -C /usr/ports/devel/talloc -V BUILD_DEPENDS
Comment 1 Edwin Groothuis freebsd_committer 2012-03-18 16:10:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

bsd.python.mk is freebsd-python territory (via the GNATS Auto Assign 
Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=166226 

Date: Tue, 20 Mar 2012 17:24:02 +0400
Comment 2 Mark Linimon 2012-03-21 00:41:03 UTC
I'd kind of like to see it survive an -exp run.  However, it can be
combined with something else.  (I am trying to help us catch up.)

mcl
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-03-21 08:13:02 UTC
Responsible Changed
From-To: freebsd-python->portmgr

Please do an exp-run with this patch. Thank you
Comment 4 Pav Lucistnik freebsd_committer 2012-05-21 12:03:14 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 5 Pav Lucistnik freebsd_committer 2012-05-23 21:54:33 UTC
Responsible Changed
From-To: pav->rm

Passed exp-run without any issues, over to rm@ to commit (consider this portmgr approved)
Comment 6 dfilter service freebsd_committer 2012-05-25 18:13:21 UTC
rm          2012-05-25 17:13:10 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.python.mk 
  Log:
  Fix incompatibilities with python 3.x (mostly calling print as function).
  
  PR:             166226
  Submitted by:   Mel Flynn <rflynn at acsalaska dot net>
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.145     +8 -8      ports/Mk/bsd.python.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-05-25 18:20:16 UTC
State Changed
From-To: open->closed

Committed, thank you!